--require ("util")

data:extend(
{
  {
	type = "projectile",
    name = "medium-acid-splatball-purple",
    flags = {"not-on-map"},
    acceleration = -0.005,
    collision_box = {{-0.2, -0.25}, {0.2, 0.25}},
    direction_only = true,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "play-sound",
            sound =
            {
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-1.ogg",
                volume = 0.9
              },
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-2.ogg",
                volume = 0.9
              }
            }
          },
          {
            type = "create-entity",
            entity_name = "medium-acid-splatter-purple"
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 3.0,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 10, type = "acid"}
                  }
				}
              }
            },
          }
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple.png",
      line_length = 5,
      width = 16,
      height = 18,
      frame_count = 33,
	  scale = 2,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple-shadow.png",
      line_length = 5,
      width = 28,
      height = 16,
      frame_count = 33,
	  scale = 2,
      priority = "high",
      shift = {-0.09*2, 0.395*2}
    },
    rotatable = false
  },
  {
	type = "projectile",
    name = "huge-acid-splatball-purple",
    flags = {"not-on-map"},
    acceleration = -0.005,
    collision_box = {{-0.2, -0.25}, {0.2, 0.25}},
    direction_only = true,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "play-sound",
            sound =
            {
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-1.ogg",
                volume = 0.9
              },
              {
                filename = "__base__/sound/creatures/projectile-acid-burn-2.ogg",
                volume = 0.9
              }
            }
          },
          {
            type = "create-entity",
            entity_name = "huge-acid-splatter-purple"
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 3.5,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 10, type = "acid"}
                  }
				}
              }
            },
          }
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple.png",
      line_length = 5,
      width = 16,
      height = 18,
      frame_count = 33,
	  scale = 2,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/acid-projectile-purple/acid-projectile-purple-shadow.png",
      line_length = 5,
      width = 28,
      height = 16,
      frame_count = 33,
	  scale = 2.5,
      priority = "high",
      shift = {-0.09*2.5, 0.395*2.5}
    },
    rotatable = false
  },
}
)
